Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network71.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
71.0.0.0
Broadcast address
71.127.255.255
First usable
71.0.0.1
Last usable
71.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 47000000 · Integer 1191182336 to 1199570943
Reverse DNS zones
0.71.in-addr.arpa
1.71.in-addr.arpa
2.71.in-addr.arpa
3.71.in-addr.arpa
4.71.in-addr.arpa
5.71.in-addr.arpa
6.71.in-addr.arpa
7.71.in-addr.arpa
8.71.in-addr.arpa
9.71.in-addr.arpa
10.71.in-addr.arpa
11.71.in-addr.arpa
12.71.in-addr.arpa
13.71.in-addr.arpa
14.71.in-addr.arpa
15.71.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000111.00000000.00000000.0000000071.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01000111.00000000.00000000.0000000071.0.0.0
Broadcast01000111.01111111.11111111.1111111171.127.255.255
Split into smaller subnets/20

71.0.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
171.0.0.0/2071.0.0.1 to 71.0.15.25471.0.15.2554,094
271.0.16.0/2071.0.16.1 to 71.0.31.25471.0.31.2554,094
371.0.32.0/2071.0.32.1 to 71.0.47.25471.0.47.2554,094
471.0.48.0/2071.0.48.1 to 71.0.63.25471.0.63.2554,094
571.0.64.0/2071.0.64.1 to 71.0.79.25471.0.79.2554,094
671.0.80.0/2071.0.80.1 to 71.0.95.25471.0.95.2554,094
771.0.96.0/2071.0.96.1 to 71.0.111.25471.0.111.2554,094
871.0.112.0/2071.0.112.1 to 71.0.127.25471.0.127.2554,094
971.0.128.0/2071.0.128.1 to 71.0.143.25471.0.143.2554,094
1071.0.144.0/2071.0.144.1 to 71.0.159.25471.0.159.2554,094
1171.0.160.0/2071.0.160.1 to 71.0.175.25471.0.175.2554,094
1271.0.176.0/2071.0.176.1 to 71.0.191.25471.0.191.2554,094
1371.0.192.0/2071.0.192.1 to 71.0.207.25471.0.207.2554,094
1471.0.208.0/2071.0.208.1 to 71.0.223.25471.0.223.2554,094
1571.0.224.0/2071.0.224.1 to 71.0.239.25471.0.239.2554,094
1671.0.240.0/2071.0.240.1 to 71.0.255.25471.0.255.2554,094
1771.1.0.0/2071.1.0.1 to 71.1.15.25471.1.15.2554,094
1871.1.16.0/2071.1.16.1 to 71.1.31.25471.1.31.2554,094
1971.1.32.0/2071.1.32.1 to 71.1.47.25471.1.47.2554,094
2071.1.48.0/2071.1.48.1 to 71.1.63.25471.1.63.2554,094
2171.1.64.0/2071.1.64.1 to 71.1.79.25471.1.79.2554,094
2271.1.80.0/2071.1.80.1 to 71.1.95.25471.1.95.2554,094
2371.1.96.0/2071.1.96.1 to 71.1.111.25471.1.111.2554,094
2471.1.112.0/2071.1.112.1 to 71.1.127.25471.1.127.2554,094
2571.1.128.0/2071.1.128.1 to 71.1.143.25471.1.143.2554,094
2671.1.144.0/2071.1.144.1 to 71.1.159.25471.1.159.2554,094
2771.1.160.0/2071.1.160.1 to 71.1.175.25471.1.175.2554,094
2871.1.176.0/2071.1.176.1 to 71.1.191.25471.1.191.2554,094
2971.1.192.0/2071.1.192.1 to 71.1.207.25471.1.207.2554,094
3071.1.208.0/2071.1.208.1 to 71.1.223.25471.1.223.2554,094
3171.1.224.0/2071.1.224.1 to 71.1.239.25471.1.239.2554,094
3271.1.240.0/2071.1.240.1 to 71.1.255.25471.1.255.2554,094
3371.2.0.0/2071.2.0.1 to 71.2.15.25471.2.15.2554,094
3471.2.16.0/2071.2.16.1 to 71.2.31.25471.2.31.2554,094
3571.2.32.0/2071.2.32.1 to 71.2.47.25471.2.47.2554,094
3671.2.48.0/2071.2.48.1 to 71.2.63.25471.2.63.2554,094
3771.2.64.0/2071.2.64.1 to 71.2.79.25471.2.79.2554,094
3871.2.80.0/2071.2.80.1 to 71.2.95.25471.2.95.2554,094
3971.2.96.0/2071.2.96.1 to 71.2.111.25471.2.111.2554,094
4071.2.112.0/2071.2.112.1 to 71.2.127.25471.2.127.2554,094
4171.2.128.0/2071.2.128.1 to 71.2.143.25471.2.143.2554,094
4271.2.144.0/2071.2.144.1 to 71.2.159.25471.2.159.2554,094
4371.2.160.0/2071.2.160.1 to 71.2.175.25471.2.175.2554,094
4471.2.176.0/2071.2.176.1 to 71.2.191.25471.2.191.2554,094
4571.2.192.0/2071.2.192.1 to 71.2.207.25471.2.207.2554,094
4671.2.208.0/2071.2.208.1 to 71.2.223.25471.2.223.2554,094
4771.2.224.0/2071.2.224.1 to 71.2.239.25471.2.239.2554,094
4871.2.240.0/2071.2.240.1 to 71.2.255.25471.2.255.2554,094
4971.3.0.0/2071.3.0.1 to 71.3.15.25471.3.15.2554,094
5071.3.16.0/2071.3.16.1 to 71.3.31.25471.3.31.2554,094
5171.3.32.0/2071.3.32.1 to 71.3.47.25471.3.47.2554,094
5271.3.48.0/2071.3.48.1 to 71.3.63.25471.3.63.2554,094
5371.3.64.0/2071.3.64.1 to 71.3.79.25471.3.79.2554,094
5471.3.80.0/2071.3.80.1 to 71.3.95.25471.3.95.2554,094
5571.3.96.0/2071.3.96.1 to 71.3.111.25471.3.111.2554,094
5671.3.112.0/2071.3.112.1 to 71.3.127.25471.3.127.2554,094
5771.3.128.0/2071.3.128.1 to 71.3.143.25471.3.143.2554,094
5871.3.144.0/2071.3.144.1 to 71.3.159.25471.3.159.2554,094
5971.3.160.0/2071.3.160.1 to 71.3.175.25471.3.175.2554,094
6071.3.176.0/2071.3.176.1 to 71.3.191.25471.3.191.2554,094
6171.3.192.0/2071.3.192.1 to 71.3.207.25471.3.207.2554,094
6271.3.208.0/2071.3.208.1 to 71.3.223.25471.3.223.2554,094
6371.3.224.0/2071.3.224.1 to 71.3.239.25471.3.239.2554,094
6471.3.240.0/2071.3.240.1 to 71.3.255.25471.3.255.2554,094
6571.4.0.0/2071.4.0.1 to 71.4.15.25471.4.15.2554,094
6671.4.16.0/2071.4.16.1 to 71.4.31.25471.4.31.2554,094
6771.4.32.0/2071.4.32.1 to 71.4.47.25471.4.47.2554,094
6871.4.48.0/2071.4.48.1 to 71.4.63.25471.4.63.2554,094
6971.4.64.0/2071.4.64.1 to 71.4.79.25471.4.79.2554,094
7071.4.80.0/2071.4.80.1 to 71.4.95.25471.4.95.2554,094
7171.4.96.0/2071.4.96.1 to 71.4.111.25471.4.111.2554,094
7271.4.112.0/2071.4.112.1 to 71.4.127.25471.4.127.2554,094
7371.4.128.0/2071.4.128.1 to 71.4.143.25471.4.143.2554,094
7471.4.144.0/2071.4.144.1 to 71.4.159.25471.4.159.2554,094
7571.4.160.0/2071.4.160.1 to 71.4.175.25471.4.175.2554,094
7671.4.176.0/2071.4.176.1 to 71.4.191.25471.4.191.2554,094
7771.4.192.0/2071.4.192.1 to 71.4.207.25471.4.207.2554,094
7871.4.208.0/2071.4.208.1 to 71.4.223.25471.4.223.2554,094
7971.4.224.0/2071.4.224.1 to 71.4.239.25471.4.239.2554,094
8071.4.240.0/2071.4.240.1 to 71.4.255.25471.4.255.2554,094
8171.5.0.0/2071.5.0.1 to 71.5.15.25471.5.15.2554,094
8271.5.16.0/2071.5.16.1 to 71.5.31.25471.5.31.2554,094
8371.5.32.0/2071.5.32.1 to 71.5.47.25471.5.47.2554,094
8471.5.48.0/2071.5.48.1 to 71.5.63.25471.5.63.2554,094
8571.5.64.0/2071.5.64.1 to 71.5.79.25471.5.79.2554,094
8671.5.80.0/2071.5.80.1 to 71.5.95.25471.5.95.2554,094
8771.5.96.0/2071.5.96.1 to 71.5.111.25471.5.111.2554,094
8871.5.112.0/2071.5.112.1 to 71.5.127.25471.5.127.2554,094
8971.5.128.0/2071.5.128.1 to 71.5.143.25471.5.143.2554,094
9071.5.144.0/2071.5.144.1 to 71.5.159.25471.5.159.2554,094
9171.5.160.0/2071.5.160.1 to 71.5.175.25471.5.175.2554,094
9271.5.176.0/2071.5.176.1 to 71.5.191.25471.5.191.2554,094
9371.5.192.0/2071.5.192.1 to 71.5.207.25471.5.207.2554,094
9471.5.208.0/2071.5.208.1 to 71.5.223.25471.5.223.2554,094
9571.5.224.0/2071.5.224.1 to 71.5.239.25471.5.239.2554,094
9671.5.240.0/2071.5.240.1 to 71.5.255.25471.5.255.2554,094
9771.6.0.0/2071.6.0.1 to 71.6.15.25471.6.15.2554,094
9871.6.16.0/2071.6.16.1 to 71.6.31.25471.6.31.2554,094
9971.6.32.0/2071.6.32.1 to 71.6.47.25471.6.47.2554,094
10071.6.48.0/2071.6.48.1 to 71.6.63.25471.6.63.2554,094
10171.6.64.0/2071.6.64.1 to 71.6.79.25471.6.79.2554,094
10271.6.80.0/2071.6.80.1 to 71.6.95.25471.6.95.2554,094
10371.6.96.0/2071.6.96.1 to 71.6.111.25471.6.111.2554,094
10471.6.112.0/2071.6.112.1 to 71.6.127.25471.6.127.2554,094
10571.6.128.0/2071.6.128.1 to 71.6.143.25471.6.143.2554,094
10671.6.144.0/2071.6.144.1 to 71.6.159.25471.6.159.2554,094
10771.6.160.0/2071.6.160.1 to 71.6.175.25471.6.175.2554,094
10871.6.176.0/2071.6.176.1 to 71.6.191.25471.6.191.2554,094
10971.6.192.0/2071.6.192.1 to 71.6.207.25471.6.207.2554,094
11071.6.208.0/2071.6.208.1 to 71.6.223.25471.6.223.2554,094
11171.6.224.0/2071.6.224.1 to 71.6.239.25471.6.239.2554,094
11271.6.240.0/2071.6.240.1 to 71.6.255.25471.6.255.2554,094
11371.7.0.0/2071.7.0.1 to 71.7.15.25471.7.15.2554,094
11471.7.16.0/2071.7.16.1 to 71.7.31.25471.7.31.2554,094
11571.7.32.0/2071.7.32.1 to 71.7.47.25471.7.47.2554,094
11671.7.48.0/2071.7.48.1 to 71.7.63.25471.7.63.2554,094
11771.7.64.0/2071.7.64.1 to 71.7.79.25471.7.79.2554,094
11871.7.80.0/2071.7.80.1 to 71.7.95.25471.7.95.2554,094
11971.7.96.0/2071.7.96.1 to 71.7.111.25471.7.111.2554,094
12071.7.112.0/2071.7.112.1 to 71.7.127.25471.7.127.2554,094
12171.7.128.0/2071.7.128.1 to 71.7.143.25471.7.143.2554,094
12271.7.144.0/2071.7.144.1 to 71.7.159.25471.7.159.2554,094
12371.7.160.0/2071.7.160.1 to 71.7.175.25471.7.175.2554,094
12471.7.176.0/2071.7.176.1 to 71.7.191.25471.7.191.2554,094
12571.7.192.0/2071.7.192.1 to 71.7.207.25471.7.207.2554,094
12671.7.208.0/2071.7.208.1 to 71.7.223.25471.7.223.2554,094
12771.7.224.0/2071.7.224.1 to 71.7.239.25471.7.239.2554,094
12871.7.240.0/2071.7.240.1 to 71.7.255.25471.7.255.2554,094
12971.8.0.0/2071.8.0.1 to 71.8.15.25471.8.15.2554,094
13071.8.16.0/2071.8.16.1 to 71.8.31.25471.8.31.2554,094
13171.8.32.0/2071.8.32.1 to 71.8.47.25471.8.47.2554,094
13271.8.48.0/2071.8.48.1 to 71.8.63.25471.8.63.2554,094
13371.8.64.0/2071.8.64.1 to 71.8.79.25471.8.79.2554,094
13471.8.80.0/2071.8.80.1 to 71.8.95.25471.8.95.2554,094
13571.8.96.0/2071.8.96.1 to 71.8.111.25471.8.111.2554,094
13671.8.112.0/2071.8.112.1 to 71.8.127.25471.8.127.2554,094
13771.8.128.0/2071.8.128.1 to 71.8.143.25471.8.143.2554,094
13871.8.144.0/2071.8.144.1 to 71.8.159.25471.8.159.2554,094
13971.8.160.0/2071.8.160.1 to 71.8.175.25471.8.175.2554,094
14071.8.176.0/2071.8.176.1 to 71.8.191.25471.8.191.2554,094
14171.8.192.0/2071.8.192.1 to 71.8.207.25471.8.207.2554,094
14271.8.208.0/2071.8.208.1 to 71.8.223.25471.8.223.2554,094
14371.8.224.0/2071.8.224.1 to 71.8.239.25471.8.239.2554,094
14471.8.240.0/2071.8.240.1 to 71.8.255.25471.8.255.2554,094
14571.9.0.0/2071.9.0.1 to 71.9.15.25471.9.15.2554,094
14671.9.16.0/2071.9.16.1 to 71.9.31.25471.9.31.2554,094
14771.9.32.0/2071.9.32.1 to 71.9.47.25471.9.47.2554,094
14871.9.48.0/2071.9.48.1 to 71.9.63.25471.9.63.2554,094
14971.9.64.0/2071.9.64.1 to 71.9.79.25471.9.79.2554,094
15071.9.80.0/2071.9.80.1 to 71.9.95.25471.9.95.2554,094
15171.9.96.0/2071.9.96.1 to 71.9.111.25471.9.111.2554,094
15271.9.112.0/2071.9.112.1 to 71.9.127.25471.9.127.2554,094
15371.9.128.0/2071.9.128.1 to 71.9.143.25471.9.143.2554,094
15471.9.144.0/2071.9.144.1 to 71.9.159.25471.9.159.2554,094
15571.9.160.0/2071.9.160.1 to 71.9.175.25471.9.175.2554,094
15671.9.176.0/2071.9.176.1 to 71.9.191.25471.9.191.2554,094
15771.9.192.0/2071.9.192.1 to 71.9.207.25471.9.207.2554,094
15871.9.208.0/2071.9.208.1 to 71.9.223.25471.9.223.2554,094
15971.9.224.0/2071.9.224.1 to 71.9.239.25471.9.239.2554,094
16071.9.240.0/2071.9.240.1 to 71.9.255.25471.9.255.2554,094
16171.10.0.0/2071.10.0.1 to 71.10.15.25471.10.15.2554,094
16271.10.16.0/2071.10.16.1 to 71.10.31.25471.10.31.2554,094
16371.10.32.0/2071.10.32.1 to 71.10.47.25471.10.47.2554,094
16471.10.48.0/2071.10.48.1 to 71.10.63.25471.10.63.2554,094
16571.10.64.0/2071.10.64.1 to 71.10.79.25471.10.79.2554,094
16671.10.80.0/2071.10.80.1 to 71.10.95.25471.10.95.2554,094
16771.10.96.0/2071.10.96.1 to 71.10.111.25471.10.111.2554,094
16871.10.112.0/2071.10.112.1 to 71.10.127.25471.10.127.2554,094
16971.10.128.0/2071.10.128.1 to 71.10.143.25471.10.143.2554,094
17071.10.144.0/2071.10.144.1 to 71.10.159.25471.10.159.2554,094
17171.10.160.0/2071.10.160.1 to 71.10.175.25471.10.175.2554,094
17271.10.176.0/2071.10.176.1 to 71.10.191.25471.10.191.2554,094
17371.10.192.0/2071.10.192.1 to 71.10.207.25471.10.207.2554,094
17471.10.208.0/2071.10.208.1 to 71.10.223.25471.10.223.2554,094
17571.10.224.0/2071.10.224.1 to 71.10.239.25471.10.239.2554,094
17671.10.240.0/2071.10.240.1 to 71.10.255.25471.10.255.2554,094
17771.11.0.0/2071.11.0.1 to 71.11.15.25471.11.15.2554,094
17871.11.16.0/2071.11.16.1 to 71.11.31.25471.11.31.2554,094
17971.11.32.0/2071.11.32.1 to 71.11.47.25471.11.47.2554,094
18071.11.48.0/2071.11.48.1 to 71.11.63.25471.11.63.2554,094
18171.11.64.0/2071.11.64.1 to 71.11.79.25471.11.79.2554,094
18271.11.80.0/2071.11.80.1 to 71.11.95.25471.11.95.2554,094
18371.11.96.0/2071.11.96.1 to 71.11.111.25471.11.111.2554,094
18471.11.112.0/2071.11.112.1 to 71.11.127.25471.11.127.2554,094
18571.11.128.0/2071.11.128.1 to 71.11.143.25471.11.143.2554,094
18671.11.144.0/2071.11.144.1 to 71.11.159.25471.11.159.2554,094
18771.11.160.0/2071.11.160.1 to 71.11.175.25471.11.175.2554,094
18871.11.176.0/2071.11.176.1 to 71.11.191.25471.11.191.2554,094
18971.11.192.0/2071.11.192.1 to 71.11.207.25471.11.207.2554,094
19071.11.208.0/2071.11.208.1 to 71.11.223.25471.11.223.2554,094
19171.11.224.0/2071.11.224.1 to 71.11.239.25471.11.239.2554,094
19271.11.240.0/2071.11.240.1 to 71.11.255.25471.11.255.2554,094
19371.12.0.0/2071.12.0.1 to 71.12.15.25471.12.15.2554,094
19471.12.16.0/2071.12.16.1 to 71.12.31.25471.12.31.2554,094
19571.12.32.0/2071.12.32.1 to 71.12.47.25471.12.47.2554,094
19671.12.48.0/2071.12.48.1 to 71.12.63.25471.12.63.2554,094
19771.12.64.0/2071.12.64.1 to 71.12.79.25471.12.79.2554,094
19871.12.80.0/2071.12.80.1 to 71.12.95.25471.12.95.2554,094
19971.12.96.0/2071.12.96.1 to 71.12.111.25471.12.111.2554,094
20071.12.112.0/2071.12.112.1 to 71.12.127.25471.12.127.2554,094
20171.12.128.0/2071.12.128.1 to 71.12.143.25471.12.143.2554,094
20271.12.144.0/2071.12.144.1 to 71.12.159.25471.12.159.2554,094
20371.12.160.0/2071.12.160.1 to 71.12.175.25471.12.175.2554,094
20471.12.176.0/2071.12.176.1 to 71.12.191.25471.12.191.2554,094
20571.12.192.0/2071.12.192.1 to 71.12.207.25471.12.207.2554,094
20671.12.208.0/2071.12.208.1 to 71.12.223.25471.12.223.2554,094
20771.12.224.0/2071.12.224.1 to 71.12.239.25471.12.239.2554,094
20871.12.240.0/2071.12.240.1 to 71.12.255.25471.12.255.2554,094
20971.13.0.0/2071.13.0.1 to 71.13.15.25471.13.15.2554,094
21071.13.16.0/2071.13.16.1 to 71.13.31.25471.13.31.2554,094
21171.13.32.0/2071.13.32.1 to 71.13.47.25471.13.47.2554,094
21271.13.48.0/2071.13.48.1 to 71.13.63.25471.13.63.2554,094
21371.13.64.0/2071.13.64.1 to 71.13.79.25471.13.79.2554,094
21471.13.80.0/2071.13.80.1 to 71.13.95.25471.13.95.2554,094
21571.13.96.0/2071.13.96.1 to 71.13.111.25471.13.111.2554,094
21671.13.112.0/2071.13.112.1 to 71.13.127.25471.13.127.2554,094
21771.13.128.0/2071.13.128.1 to 71.13.143.25471.13.143.2554,094
21871.13.144.0/2071.13.144.1 to 71.13.159.25471.13.159.2554,094
21971.13.160.0/2071.13.160.1 to 71.13.175.25471.13.175.2554,094
22071.13.176.0/2071.13.176.1 to 71.13.191.25471.13.191.2554,094
22171.13.192.0/2071.13.192.1 to 71.13.207.25471.13.207.2554,094
22271.13.208.0/2071.13.208.1 to 71.13.223.25471.13.223.2554,094
22371.13.224.0/2071.13.224.1 to 71.13.239.25471.13.239.2554,094
22471.13.240.0/2071.13.240.1 to 71.13.255.25471.13.255.2554,094
22571.14.0.0/2071.14.0.1 to 71.14.15.25471.14.15.2554,094
22671.14.16.0/2071.14.16.1 to 71.14.31.25471.14.31.2554,094
22771.14.32.0/2071.14.32.1 to 71.14.47.25471.14.47.2554,094
22871.14.48.0/2071.14.48.1 to 71.14.63.25471.14.63.2554,094
22971.14.64.0/2071.14.64.1 to 71.14.79.25471.14.79.2554,094
23071.14.80.0/2071.14.80.1 to 71.14.95.25471.14.95.2554,094
23171.14.96.0/2071.14.96.1 to 71.14.111.25471.14.111.2554,094
23271.14.112.0/2071.14.112.1 to 71.14.127.25471.14.127.2554,094
23371.14.128.0/2071.14.128.1 to 71.14.143.25471.14.143.2554,094
23471.14.144.0/2071.14.144.1 to 71.14.159.25471.14.159.2554,094
23571.14.160.0/2071.14.160.1 to 71.14.175.25471.14.175.2554,094
23671.14.176.0/2071.14.176.1 to 71.14.191.25471.14.191.2554,094
23771.14.192.0/2071.14.192.1 to 71.14.207.25471.14.207.2554,094
23871.14.208.0/2071.14.208.1 to 71.14.223.25471.14.223.2554,094
23971.14.224.0/2071.14.224.1 to 71.14.239.25471.14.239.2554,094
24071.14.240.0/2071.14.240.1 to 71.14.255.25471.14.255.2554,094
24171.15.0.0/2071.15.0.1 to 71.15.15.25471.15.15.2554,094
24271.15.16.0/2071.15.16.1 to 71.15.31.25471.15.31.2554,094
24371.15.32.0/2071.15.32.1 to 71.15.47.25471.15.47.2554,094
24471.15.48.0/2071.15.48.1 to 71.15.63.25471.15.63.2554,094
24571.15.64.0/2071.15.64.1 to 71.15.79.25471.15.79.2554,094
24671.15.80.0/2071.15.80.1 to 71.15.95.25471.15.95.2554,094
24771.15.96.0/2071.15.96.1 to 71.15.111.25471.15.111.2554,094
24871.15.112.0/2071.15.112.1 to 71.15.127.25471.15.127.2554,094
24971.15.128.0/2071.15.128.1 to 71.15.143.25471.15.143.2554,094
25071.15.144.0/2071.15.144.1 to 71.15.159.25471.15.159.2554,094
25171.15.160.0/2071.15.160.1 to 71.15.175.25471.15.175.2554,094
25271.15.176.0/2071.15.176.1 to 71.15.191.25471.15.191.2554,094
25371.15.192.0/2071.15.192.1 to 71.15.207.25471.15.207.2554,094
25471.15.208.0/2071.15.208.1 to 71.15.223.25471.15.223.2554,094
25571.15.224.0/2071.15.224.1 to 71.15.239.25471.15.239.2554,094
25671.15.240.0/2071.15.240.1 to 71.15.255.25471.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses